CVE-2019-15074

The Timeline feature in my_view_page.php in MantisBT through 2.21.1 has a stored cross-site scripting (XSS) vulnerability, allowing execution of arbitrary code (if CSP settings permit it) after uploading an attachment with a crafted filename. The code is executed for any user having visibility to the issue, whenever My View Page is displayed.

Published : 2019-08-21 19:15 Updated : 2019-09-04 13:24

6.8
CVSS Score More info
Score 6.8 / 10
6.8
Vendor Product Version URI
Mantisbt Mantisbt 2.13.0 cpe:/a:mantisbt:mantisbt:2.13.0
Mantisbt Mantisbt 2.13.1 cpe:/a:mantisbt:mantisbt:2.13.1
Mantisbt Mantisbt 2.13.2 cpe:/a:mantisbt:mantisbt:2.13.2
Mantisbt Mantisbt 2.14.0 cpe:/a:mantisbt:mantisbt:2.14.0
Mantisbt Mantisbt 2.15.0 cpe:/a:mantisbt:mantisbt:2.15.0
Mantisbt Mantisbt 2.15.1 cpe:/a:mantisbt:mantisbt:2.15.1
Mantisbt Mantisbt 2.16.0 cpe:/a:mantisbt:mantisbt:2.16.0
Mantisbt Mantisbt 2.16.1 cpe:/a:mantisbt:mantisbt:2.16.1
Mantisbt Mantisbt 2.17.0 cpe:/a:mantisbt:mantisbt:2.17.0
Mantisbt Mantisbt 2.17.1 cpe:/a:mantisbt:mantisbt:2.17.1
Mantisbt Mantisbt 2.17.2 cpe:/a:mantisbt:mantisbt:2.17.2
Mantisbt Mantisbt 2.18.0 cpe:/a:mantisbt:mantisbt:2.18.0
Mantisbt Mantisbt 2.18.1 cpe:/a:mantisbt:mantisbt:2.18.1
Mantisbt Mantisbt 2.19.0 cpe:/a:mantisbt:mantisbt:2.19.0
Mantisbt Mantisbt 2.19.1 cpe:/a:mantisbt:mantisbt:2.19.1
Mantisbt Mantisbt 2.20.0 cpe:/a:mantisbt:mantisbt:2.20.0
Mantisbt Mantisbt 2.20.1 cpe:/a:mantisbt:mantisbt:2.20.1
Mantisbt Mantisbt 2.21.0 cpe:/a:mantisbt:mantisbt:2.21.0
Mantisbt Mantisbt 2.21.1 cpe:/a:mantisbt:mantisbt:2.21.1
  1. Mantisbt (1) Search CVE
    1. Mantisbt (19) Search CVE
      1. 2.13.0
      2. 2.13.1
      3. 2.13.2
      4. 2.14.0
      5. 2.15.0
      6. 2.15.1
      7. 2.16.0
      8. 2.16.1
      9. 2.17.0
      10. 2.17.1
      11. 2.17.2
      12. 2.18.0
      13. 2.18.1
      14. 2.19.0
      15. 2.19.1
      16. 2.20.0
      17. 2.20.1
      18. 2.21.0
      19. 2.21.1

CWE

ID Name Description Links
CWE-79 Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') The software does not neutralize or incorrectly neutralizes user-controllable input before it is placed in output that is used as a web page that is served to other users. CVE

History of changes

Date Event
2019-09-04 13:24
2019-08-21 19:35

New CVE